mercurial (3.7.3-1ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/fix_tz_ftbfs.patch: fix test failure caused by
      timezone parsing oddity with newer glibc.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 06 Apr 2016 14:53:10 +0200

mercurial (3.7.3-1) unstable; urgency=medium

  * New security upstream release fixes CVE-2016-3068, CVE-2016-3069
    and CVE-2016-3630.
  * Fix "FTBFS when built with dpkg-buildpackage -A".  Thanks Julien
    Cristau for the patch (Closes: #807021)
  * Avoid allow-stderr in mercurial-git autopkgtest

 -- Javi Merino <vicho@debian.org>  Wed, 30 Mar 2016 08:20:07 +0100

mercurial (3.7.2-2) unstable; urgency=medium

  * Don't run test-clonebundle.t when building.  Reproducible builds don't
    setup name resolution (Closes: #809770)

 -- Javi Merino <vicho@debian.org>  Sat, 05 Mar 2016 12:08:37 +0000

mercurial (3.7.2-1) unstable; urgency=medium

  * New upstream release
  * Blacklist test-parse-date.t .  It fails on some of the chroots of
    some architectures
  * Bump standards-version to 3.9.6 (no change needed)
  * Use https for vcs-browser.  Thanks lintian
  * Update homepage

 -- Javi Merino <vicho@debian.org>  Wed, 02 Mar 2016 22:28:36 +0000

mercurial (3.7.1-1) unstable; urgency=medium

  * New upstream release
  * Fix "mercurial-git autopkgtest fails because of stderr" by allowing
    the test to output to stderr (Closes: #808376)
  * Allow the hgsubversion test to output to stderr

 -- Javi Merino <vicho@debian.org>  Thu, 11 Feb 2016 22:43:27 +0000

mercurial (3.6.2-1ubuntu2) xenial; urgency=medium

  * debian/tests/mercurial-git: Redirect stderr of git clone and git push
    to stdout, to fix failure.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Thu, 17 Dec 2015 10:40:57 +0300

mercurial (3.6.2-1ubuntu1) xenial; urgency=medium

  * Merge with Debian unstable, remaining change:
    - debian/patches/fix_tz_ftbfs.patch: fix test failure caused by
      timezone parsing oddity with newer glibc.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Wed, 16 Dec 2015 18:49:21 +0300

mercurial (3.6.2-1) unstable; urgency=medium

  * New upstream release
  * Improve autopkgtest for mercurial-git to test pushing commits from the
    mercurial clone to git
  * Update breaks of hgsubversion.  hgsubversion 1.8.3-2 works with
    mercurial 3.6

 -- Javi Merino <vicho@debian.org>  Fri, 04 Dec 2015 07:37:49 +0000

mercurial (3.6.1-1) unstable; urgency=medium

  * New upstream release
  * mercurial 3.6 breaks mercurial-crecord 0.20150626-1
  * mercurial 3.6 breaks mercurial-git prior to 0.8.3-1

 -- Javi Merino <vicho@debian.org>  Thu, 26 Nov 2015 08:30:18 +0000

mercurial (3.6-1ubuntu1) xenial; urgency=medium

  * Merge from Debian. Remaining changes:
    - debian/patches/fix_tz_ftbfs.patch: fix test failure caused by
      timezone parsing oddity with newer glibc.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 20 Nov 2015 10:24:36 -0500

mercurial (3.6-1) unstable; urgency=medium

  * New upstream release
  * Update hgsubversion breaks. 1.8.3-1 is not compatible with mercurial
    3.6-1

 -- Javi Merino <vicho@debian.org>  Thu, 05 Nov 2015 10:43:33 +0000

mercurial (3.6~rc1-1) experimental; urgency=medium

  * First release candidate for mercurial 3.6

 -- Javi Merino <vicho@debian.org>  Sun, 25 Oct 2015 17:31:59 +0000

mercurial (3.5.2-2) unstable; urgency=medium

  * Fix "bash completion broken" by installing at as "hg" instead of
    "mercurial".  Thanks Matthew Gabeler-Lee <cheetah@fastcat.org> for the
    fix (Closes: #801079)

 -- Javi Merino <vicho@debian.org>  Sun, 18 Oct 2015 14:14:20 +0100

mercurial (3.5.2-1) unstable; urgency=medium

  * New upstream release

 -- Javi Merino <vicho@debian.org>  Fri, 02 Oct 2015 08:14:57 +0100

mercurial (3.5.1-2) unstable; urgency=medium

  * Fix "obsolete conffile /etc/bash_completion.d/mercurial" by removing
    it.  Bash completion is now installed in
    /usr/share/bash_completion/completions (Closes: #799052)

 -- Javi Merino <vicho@debian.org>  Sun, 20 Sep 2015 13:23:46 +0100

mercurial (3.5.1-1) unstable; urgency=medium

  * Update hgsubversion breaks. 1.8.2-1 is compatible with mercurial 3.5-1
  * Update breaks of mercurial-git.  0.8.1-3 works with mercurial 3.5-1
  * New upstream release

 -- Javi Merino <vicho@debian.org>  Mon, 14 Sep 2015 22:05:21 +0100

mercurial (3.5-1) unstable; urgency=medium

  * New upstream release
  * Update hgsubversion breaks to 1.8.1-1
  * Upload to unstable

 -- Javi Merino <vicho@debian.org>  Mon, 03 Aug 2015 20:18:33 +0100

mercurial (3.5~rc1-1) experimental; urgency=medium

  * New upstream release
  * Update debian/copyright to match copyright-format 1.0
  * New version breaks the current versions of mercurial-git and
    hgsubversion in sid

 -- Javi Merino <vicho@debian.org>  Wed, 22 Jul 2015 10:30:00 +0200

mercurial (3.4.2-1) unstable; urgency=medium

  * New upstream release
  * Drop "XS-Testsuite" as it's no longer needed
  * Fix "FTBFS: recipe for target 'override_dh_auto_test' failed"
    by using rename.  util-linux no longer provides rename.ul (Closes: #790266)

 -- Javi Merino <vicho@debian.org>  Wed, 08 Jul 2015 22:31:18 +0100

mercurial (3.4-1ubuntu2) wily; urgency=medium

  * debian/rules: don't fail in override_dh_auto_test if there is nothing
    to rename.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 17 Jun 2015 16:32:06 -0400

mercurial (3.4-1ubuntu1) wily; urgency=medium

  * debian/patches/fix_tz_ftbfs.patch: fix test failure caused by timezone
    parsing oddity with newer glibc.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 17 Jun 2015 09:11:53 -0400

mercurial (3.4-1) unstable; urgency=medium

  * New upstream release
  * Delete patch for_upstream__fix_typo_in_man_page.patch as it is applied
    upstream
  * Update breaks of hgsubversion to versions prior to 1.8-1
  * Upload to unstable

 -- Javi Merino <vicho@debian.org>  Sat, 02 May 2015 10:01:10 +0100

mercurial (3.4~rc1-1) experimental; urgency=medium

  * New upstream release
  * Delete patch for_upstream__lenient_test-shelve.patch which is
    applied upstream
  * Remove trailing spaces from empty lines in the descriptions.  It
    upsets lintian
  * Add patch for_upstream__fix_typo_in_man_page.patch to fix a typo
    spotted by lintian

 -- Javi Merino <vicho@debian.org>  Sun, 19 Apr 2015 15:41:25 +0100

mercurial (3.3.2-1) experimental; urgency=medium

  * New upstream release

 -- Javi Merino <vicho@debian.org>  Fri, 13 Mar 2015 13:38:04 +0000

mercurial (3.3-1) experimental; urgency=medium

  * New upstream release

 -- Javi Merino <vicho@debian.org>  Mon, 09 Feb 2015 05:48:23 +0800

mercurial (3.3~rc1-1) experimental; urgency=medium

  * New upstream release
  * move the installation of mergetools.rc to mercurial-common.install

 -- Javi Merino <vicho@debian.org>  Sat, 31 Jan 2015 17:48:59 +0100

mercurial (3.2.3-1) experimental; urgency=medium

  * New upstream release

 -- Javi Merino <vicho@debian.org>  Fri, 19 Dec 2014 22:29:28 +0000

mercurial (3.2.1-1) experimental; urgency=medium

  * New upstream release

 -- Javi Merino <vicho@debian.org>  Fri, 14 Nov 2014 08:35:25 +0000

mercurial (3.2-1) experimental; urgency=medium

  * New upstream release (Closes: #768022)
  * Replace deb_specific__support_templates_in_fsh.patch,
    deb_specific__support_help_in_fhs.patch and
    deb_specific__support_mo_in_fhs.patch with
    deb_specific__fix_fhs_paths.py as the mechanism to specify the path to
    datafiles has been unified.
  * Remove from_upstream__test-
    patchbomb_t_work_around_Python_change_d579866d6419_issue4188.patch
    as it is now included upstream
  * Bump standards-version to 3.9.6 (no change needed)
  * Build-depend on dh-python
  * Simplify installation of /etc/mercurial/hgrc.d/cacerts.rc
  * Remove sample.hgrc from the examples as it's now removed in upstream
    (full of bad suggestions)
  * Update breaks for mercurial-git and hgsubversion: current versions
    don't work

 -- Javi Merino <vicho@debian.org>  Mon, 10 Nov 2014 08:34:13 +0000

mercurial (3.1.2-1) unstable; urgency=medium

  * New upstream version
  * Use excanvas.js from libjs-excanvas instead of shipping a copy in
    the package

 -- Javi Merino <vicho@debian.org>  Thu, 02 Oct 2014 23:34:41 +0100

mercurial (3.1.1-1) unstable; urgency=medium

  * New upstream release
  * Remove test_patchbomb from blacklisted tests (fixed upstream in
    http://selenic.com/repo/hg/rev/f8fc5df6a8cf)
  * Add patch from_upstream__test-
    patchbomb_t_work_around_Python_change_d579866d6419_issue4188.patch
    which fixes the patchbomb test

 -- Javi Merino <vicho@debian.org>  Thu, 04 Sep 2014 09:04:08 +0200

mercurial (3.1-2) unstable; urgency=medium

  * gcc and python2.7-dev now needed to pass the testsuite in autopkgtest
  * mercurial-git versions prior to 0.6.1 don't work with mercurial-3.1,
    update breaks
  * Fix hgsubversion autopkgtest
  * Remove darcs from the autopkgtest testsuite as gnutls fails to
    initialize random number generator in the schroot and is very verbose
    about it.

 -- Javi Merino <vicho@debian.org>  Mon, 25 Aug 2014 14:54:24 -0700

mercurial (3.1-1) unstable; urgency=medium

  * New upstream release

 -- Javi Merino <vicho@debian.org>  Sat, 02 Aug 2014 11:29:22 +0100

mercurial (3.0.2-1) unstable; urgency=medium

  * New upstream release

 -- Javi Merino <vicho@debian.org>  Sun, 13 Jul 2014 13:12:26 +0200

mercurial (3.0.1-1) unstable; urgency=medium

  * New upstream release (Closes: #750444)
  * Update breaks of hgview to hgview-common << 1.8.1 (Thanks Julien Cristau)

 -- Javi Merino <vicho@debian.org>  Tue, 17 Jun 2014 22:55:05 +0100

mercurial (3.0-1) unstable; urgency=medium

  * New upstream release
  * Rever breaks of hgsubversion to versions prior to 1.6
  * Upload to unstable

 -- Javi Merino <vicho@debian.org>  Fri, 02 May 2014 08:33:00 +0100

mercurial (3.0~rc1-1) experimental; urgency=medium

  * New upstream release
  * Don't explicitly change the python interpreter in debian/rules, it's
    already handled by dh_python2
  * Drop patch deb_specific__fix_hg-ssh_interpreter.patch as dh_python2
    fixes the interpreter for us
  * Fix "fatal: empty ident name (for <babar@jungle.org>) not allowed"
    error in the mercurial-git autopkgtest
  * Blacklist test-patchbomb from the testsuite autopkgtest as it is
    known to fail
  * Don't install tmplrewrite.py in examples any more.  It was useful
    for the 1.3 transition, but no longer relevant
  * Mercurial 3.0 breaks current hgsubversion (1.6)

 -- Javi Merino <vicho@debian.org>  Sat, 19 Apr 2014 18:53:34 +0100

mercurial (2.9.2-1) unstable; urgency=low

  [ Javi Merino ]
  * New upstream release
  * Fix "please downgrade 'wish' Recommends to Suggests" by removing the
    Recommends from the mercurial package (but keeping the Suggests in
    mercurial-common) (Closes: #741514)
  * Drop Suggests of vim or emacs
  * Fix "autopkgtest hgsubversion shouldn't need network connectivity"
    by making the test create a local svn repository (Closes: #735578)
  * Mercurial 2.9 breaks hgsubversion prior to 1.6

  [ Julien Cristau ]
  * mercurial-common Replaces mercurial << 2.6.3 (the bash_completion file and
    /etc/mercurial/hgrc moved) (Closes: #743288)

 -- Javi Merino <vicho@debian.org>  Thu, 03 Apr 2014 08:11:58 +0100

mercurial (2.9.1-1) unstable; urgency=medium

  * New upstream release
  * mercurial 2.9 breaks current hgsubversion (1.5-1)
  * Blacklist test-patchbomb.t as it failed sporadically in mips buildd
    for 2.9-1 and is now failing for me.

 -- Javi Merino <vicho@debian.org>  Mon, 03 Mar 2014 22:52:12 +0000

mercurial (2.9-1) unstable; urgency=medium

  * blacklist check_pyflakes instead of deleting the test
  * Add "allow-stderr" restriction to "testsuite" as it prints out a
    "Tested with unexpected mercurial lib:" warning.  Thanks to Martin
    Pitt <martin.pitt@ubuntu.com>.

 -- Javi Merino <vicho@debian.org>  Mon, 10 Feb 2014 22:37:30 +0000

mercurial (2.8.2-1) unstable; urgency=medium

  * New upstream release
  * Drop for_upstream__fix_i18n.patch as it's now included upstream
  * Make uscan verify the signature of downloaded tarballs

 -- Javi Merino <vicho@debian.org>  Thu, 02 Jan 2014 17:31:05 +0100

mercurial (2.8.1-2) unstable; urgency=low

  * Pass -f to rm so that repeated builds succeed (Closes: #731623).
  * Fix installation in the case where there is more than one supported
    version of Python (Closes: #729153).
    - Thanks to Faheem Mitha <faheem@faheem.info> for the patch.
  * Make test-shelve.t more lenient. This should hopefully fix the
    semi-intermittent build failures on some architectures with slower
    buildds.

 -- Tristan Seligmann <mithrandi@debian.org>  Sun, 08 Dec 2013 02:03:54 +0200

mercurial (2.8.1-1) unstable; urgency=low

  * New upstream release (Closes: #731471)
  * Add myself to Uploaders.
  * Add patch to fix test-i18n.
  * Remove pyflakes test to avoid build failures when pyflakes is installed.

 -- Tristan Seligmann <mithrandi@debian.org>  Fri, 06 Dec 2013 01:14:40 +0200

mercurial (2.8-3) unstable; urgency=low

  * Fix mercurial-git autopkg test
  * Add missing deps to run the testsuite with autopkgtest
  * Increment testsuite timeout to 1440 to prevent timeouts in mips
  * Move wish to Recommends as it's needed for hg view

 -- Javi Merino <vicho@debian.org>  Sun, 17 Nov 2013 10:13:23 +0000

mercurial (2.8-2) unstable; urgency=medium

  * Increment testsuite timeout to 720 as test-gendoc.t takes a
    loooong time on armel
  * Don't run pyflakes on the autopkgtest for the testsuite, it fails to
    see the pyflakes error it's expecting (but it's not our job to fix
    python lint issues)

 -- Javi Merino <vicho@debian.org>  Fri, 15 Nov 2013 14:10:00 +0000

mercurial (2.8-1) unstable; urgency=low

  * New upstream release
  * Fix mercurial-git and hgsubversion autopkgtest by loading the
    appropriate extension
  * Bump standards-version to 3.9.5 (no change needed)

 -- Javi Merino <vicho@debian.org>  Fri, 01 Nov 2013 23:19:57 +0000

mercurial (2.8~rc1-1) experimental; urgency=low

  * New upstream release
  * Fix patches deb_specific__install-help-separately,
    deb_specific__install-help-separately and
    deb_specific__install-mo-fhs.patch so that we can run the full
    testsuite when building
  * Build-depend on netbase to make test-serve.t work

 -- Javi Merino <vicho@debian.org>  Mon, 21 Oct 2013 22:35:36 +0100

mercurial (2.7.2-1) unstable; urgency=low

  * New upstream release
  * Revert breaks of mercurial-git back to << 0.4.0-1 (Closes: #725145)
  * Re-enable the testsuite as the tests that timeout can be blacklisted

 -- Javi Merino <vicho@debian.org>  Wed, 02 Oct 2013 23:55:58 +0100

mercurial (2.7.1-3) unstable; urgency=low

  * Update breaks of mercurial-git to the current version (0.4.0-1)
  * Add autopkgtest tests

 -- Javi Merino <vicho@debian.org>  Tue, 01 Oct 2013 08:48:23 +0100

mercurial (2.7.1-2) unstable; urgency=low

  * Temporarily don't run the testsuite when building.  Since 2.7.1 it
    timeouts in buildd environments (but works ok if run in the command
    line).

 -- Javi Merino <vicho@debian.org>  Thu, 05 Sep 2013 21:52:14 +0100

mercurial (2.7.1-1) unstable; urgency=low

  * New upstream release
  * Enable tests that need networking

 -- Javi Merino <vicho@debian.org>  Wed, 04 Sep 2013 23:06:57 +0100

mercurial (2.7-2) unstable; urgency=low

  * Fix "conffiles not removed" by properly moving them to mercurial-common
    (Closes: #718621)

 -- Javi Merino <vicho@debian.org>  Tue, 13 Aug 2013 23:11:14 +0200

mercurial (2.7-1) unstable; urgency=low

  * New upstream release
  * Remove shrink-revlog.py from examples as it is no longer shipped in
    mercurial

 -- Javi Merino <vicho@debian.org>  Sun, 11 Aug 2013 16:09:20 +0200

mercurial (2.6.3-1) unstable; urgency=low

  * New upstream release
  * Remove preinst script as it's mostly checks for stuff that was fixed
    long ago
  * Remove old checks from postinst
  * Move config files to mercurial-common
  * Install bash-completion using debhelper's bash-completion sequencer
  * Compatible with hgsubversion 1.5 or greater, update breaks to
    reflect that

 -- Javi Merino <vicho@debian.org>  Sun, 21 Jul 2013 23:31:34 +0200

mercurial (2.6.2-1) unstable; urgency=low

  * New upstream release
  * Delete patch
    from_upstream__fix_untranslated_prompts_with_translated_responses.patch
    which is now included upstream

 -- Javi Merino <vicho@debian.org>  Sun, 09 Jun 2013 10:36:59 +0100

mercurial (2.6.1-1) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Javi Merino ]
  * New upstream release (Closes: #709815)
  * Blacklist test-histedit-arguments.t and test-websub.t
  * Fix "Translation missing for yes/no question, but requires translated
    input from user" by adding patch
    from_upstream__fix_untranslated_prompts_with_translated_responses.patch
    (Closes: #707703)
  * Upload to unstable

 -- Javi Merino <vicho@debian.org>  Wed, 15 May 2013 22:16:29 +0100

mercurial (2.5.2-1) experimental; urgency=low

  * New upstream release
  * Update hgview breaks.  hgview works with mercurial 2.5 starting from
    1.7.1-1.
  * test-convert-git.t works again so add it back to the test-suite we
    run when building the package

 -- Javi Merino <vicho@debian.org>  Tue, 19 Mar 2013 22:53:20 +0000

mercurial (2.5.1-1) experimental; urgency=low

  * New upstream release
  * Add test-obsolete.t to the blacklisted tests
  * hgview 1.5.0-4 doesn't work with mercurial 2.5.1

 -- Javi Merino <vicho@debian.org>  Tue, 12 Feb 2013 21:13:06 +0000

mercurial (2.4.2-1) experimental; urgency=low

  * New upstream release

 -- Javi Merino <vicho@debian.org>  Wed, 02 Jan 2013 13:01:27 +0100

mercurial (2.4.1-1) experimental; urgency=low

  * New upstream release

 -- Javi Merino <vicho@debian.org>  Wed, 19 Dec 2012 21:10:25 +0000

mercurial (2.4-1) experimental; urgency=low

  * New upstream release
  * mercurial 2.3.1 was not compatible with hgsubversion 1.4 and
    mercurial-git 0.3.3
  * Bump standards-version to 3.9.4 (no change needed)
  * Add test-commit-amend to the blacklisted tests as it needs styles
    now

 -- Javi Merino <vicho@debian.org>  Tue, 27 Nov 2012 22:35:33 +0000

mercurial (2.3.1-1) experimental; urgency=low

  * New upstream release
  * Delete patch for_upstream__hgweb_fix_spelling_error.patch which is
    now included upstream

 -- Javi Merino <vicho@debian.org>  Sun, 16 Sep 2012 16:05:55 +0100

mercurial (2.3-2) experimental; urgency=low

  * Blacklist test-histedit-revspec as it needs styles

 -- Javi Merino <vicho@debian.org>  Sat, 04 Aug 2012 20:56:38 +0200

mercurial (2.3-1) experimental; urgency=low

  * Don't run the testsuite if nocheck is in DEB_BUILD_OPTIONS
  * Move to dh v9 to automatically get the Hardening buildflags
  * Don't Suggest xxdiff, as it's been removed from the archive
  * New upstream release
  * Add patch for_upstream__hgweb_fix_spelling_error.patch to fix a
    spelling error in a manpage

 -- Javi Merino <vicho@debian.org>  Fri, 03 Aug 2012 20:53:44 +0200

mercurial (2.2.2-1) unstable; urgency=low

  * New upstream release

 -- Javi Merino <vicho@debian.org>  Sun, 03 Jun 2012 09:17:36 +0100

mercurial (2.2.1-2) unstable; urgency=low

  * Blacklist test-convert-git.t as it is known to fail with git 1.7.10
    and it's making it fail to build in armel.
  * Build-depend on python-roman (Closes: #671611)

 -- Javi Merino <vicho@debian.org>  Sun, 06 May 2012 17:31:51 +0100

mercurial (2.2.1-1) unstable; urgency=low

  * New upstream release that fixes a memory leak in hgweb
  * Refresh i18n/{de,da,ja}.po translations in
    deb_specific__use_sensible-editor.patch

 -- Javi Merino <vicho@debian.org>  Fri, 04 May 2012 21:57:42 +0100

mercurial (2.2-2) unstable; urgency=low

  * Don't patch test-pull-pull-corruption2.t in kfreebsd-i386, armel,
    sparc or mips, it's now integrated into test-pull-pull-corruption.t

 -- Javi Merino <vicho@debian.org>  Wed, 02 May 2012 19:21:40 +0100

mercurial (2.2-1) unstable; urgency=low

  * New upstream release 2.2
  * Delete patches for_upstream__skip_test_gpg_if_not_mercurial_wd.patch
    and from_upstream__tests_re_silence_test_bad_pull_log_messages.patch
    which are now included upstream
  * Refresh patches

 -- Javi Merino <vicho@debian.org>  Wed, 02 May 2012 08:08:32 +0100

mercurial (2.1.2-2) unstable; urgency=low

  * Add sparc to the list of architectures with slow buildds
  * Import 91eec29dd7de from upstream to fix the test-suite failures in
    mips and sparc

 -- Javi Merino <vicho@debian.org>  Tue, 03 Apr 2012 21:54:05 +0100

mercurial (2.1.2-1) unstable; urgency=low

  * New upstream release 2.1.2
  * Add armel to the list of architectures with slow buildds
  * Drop patch "deb_specific__no_optim_bdiff_armel.patch" as gcc no
    longer miscompiles bdiff in armel
  * Remove confusing entry in Debian.NEWS (Closes: #666549)
  * Remove patches for_upstream__fix_kfreebsd_test_inherit.patch,
    from_upstream__dont_translate_the_abort_message_twice.patch and
    from_upstream__fix_all_remaining_uses_of_inside.patch which are now
    included upstream
  * Add patch for_upstream__skip_test_gpg_if_not_mercurial_wd.patch to
    skip test-gpg when the testsuite is not run in a hg checkout

 -- Javi Merino <vicho@debian.org>  Mon, 02 Apr 2012 22:50:29 +0100

mercurial (2.1.1-2) unstable; urgency=low

  * Add kfreebsd-i386 to the list of slow architectures for the test suite.
  * Improve the fix for the test-inherit-mode.t patch based on
    suggestions from upstream
  * Fix "UnicodeDecodeError when refusing to update" by adding patches
    from_upstream__dont_translate_the_abort_message_twice.patch and
    from_upstream__fix_all_remaining_uses_of_inside.patch  (Closes: #662207)

 -- Javi Merino <vicho@debian.org>  Fri, 09 Mar 2012 00:14:13 +0000

mercurial (2.1.1-1) unstable; urgency=low

  * New upstream version 2.1.1-1
  * Change the group of the test dir in test-inherit-mode.t so that the
    testsuite doesn't fail in kfreebsd-*
  * Drop from_upstream__test_check_code_hg_skip_test_if_not_wd.patch
    which is now included upstream
  * Upload to unstable

 -- Javi Merino <vicho@debian.org>  Sat, 03 Mar 2012 08:03:18 +0000

mercurial (2.1-3) experimental; urgency=low

  * Remove unused lintian override binary-without-manpage
  * Bump standards-version to 3.9.3 (no change needed)
  * Suggest tkcvs instead of tkdiff.  tkdiff has been removed from
    wheezy as tkcvs provides tkdiff (see bug #483362).
  * Suggest more visual diff commands
  * Increment test timeout.  test-bisect2.t timed out on mips.
  * Increment the sleeps in the testsuite in mips so that the test
    produces the same output than in faster architectures
  * Ignore the output of chmod in a test so that the testsuite doesn't
    fail in kfreebsd-*
  * Add patch
    from_upstream__test_check_code_hg_skip_test_if_not_wd.patch to skip
    test_check_code_hg instead of having to blacklist it

 -- Javi Merino <vicho@debian.org>  Wed, 29 Feb 2012 08:51:26 +0000

mercurial (2.1-2) experimental; urgency=low

  * Recommend ssh
  * Bump watch version to 3 since we are using version mangling
  * Run tests in the buildds
  * Added my new DD account

 -- Javi Merino <vicho@debian.org>  Sat, 25 Feb 2012 18:12:14 +0000

mercurial (2.1-1) unstable; urgency=low

  * New upstream revision

 -- Javi Merino <cibervicho@gmail.com>  Fri, 03 Feb 2012 18:38:19 +0100

mercurial (2.0.2-1) unstable; urgency=low

  * New upstream revision
  * Fix "hg-ssh is installed system-wide but uses "/usr/bin/env python"
    as the python interpreter" with a patch that fixes the interpreter
    (Closes: #654925)

 -- Javi Merino <cibervicho@gmail.com>  Fri, 06 Jan 2012 22:09:32 +0000

mercurial (2.0.1-2) unstable; urgency=low

  * Team Upload  
  * Update Breaks for hgsubversion (see bug #646946), hg-git (see bug
    #645037), hgview (see bug #637400), and qct (see bug #637401).

 -- Jakub Wilk <jwilk@debian.org>  Sun, 11 Dec 2011 23:47:26 +0100

mercurial (2.0.1-1) unstable; urgency=low

  * New upstream revision (Closes: #650727).
  * Fix "new -rc release are not properly parsed by watch" with a patch
    from Pierre-Yves David <pierre-yves.david@logilab.fr> (Closes:
    #650728)

 -- Javi Merino <cibervicho@gmail.com>  Fri, 02 Dec 2011 21:35:31 +0000

mercurial (2.0-2) unstable; urgency=low

  * Fix "Cloning fails with: mpatch.mpatchError: patch cannot be decoded"
    by not compiling bdiff.c with optimizations in armel.  This is
    probably a bug in gcc-4.6 (gcc 4.5 works fine) but while it's solved,
    at least mercurial works again in armel (Closes: #636396)

 -- Javi Merino <cibervicho@gmail.com>  Thu, 03 Nov 2011 23:00:43 +0000

mercurial (2.0-1) unstable; urgency=low

  * New upstream release 2.0
  * Don't include empty directories in the package

 -- Javi Merino <cibervicho@gmail.com>  Tue, 01 Nov 2011 22:40:40 +0000

mercurial (1.9.999+2.0rc1-1) experimental; urgency=low

  * Upstream 2.0 Release Candidate 1
  * Cover more uses of "defaults to sensible-editor" in the
    documentation and support ru and ro translations.

 -- Javi Merino <cibervicho@gmail.com>  Sun, 30 Oct 2011 13:20:38 +0000

mercurial (1.9.3-1) unstable; urgency=low

  * New upstream release 1.9.3.

 -- Javi Merino <cibervicho@gmail.com>  Tue, 11 Oct 2011 22:31:33 +0100

mercurial (1.9.2-1) unstable; urgency=low

  * New upstream release 1.9.2.
  * Remove old code that removed cruft from site-packages

 -- Javi Merino <cibervicho@gmail.com>  Mon, 12 Sep 2011 20:55:12 +0100

mercurial (1.9.1-2) unstable; urgency=low

  * Update breaks to include all the packages that mercurial-1.9.1-1 broke
    because of the uncoordinated transition to dh_python2.

 -- Javi Merino <cibervicho@gmail.com>  Wed, 10 Aug 2011 21:37:37 +0100

mercurial (1.9.1-1) unstable; urgency=low

  * Convert to dh_python2
  * New upstream release 1.9.1 fixes "cannot import mercurial.httpclient
    with Python 2.7: 'module' object has no attribute 'PROTOCOL_SSLv2'"
    (Closes: #635496)

 -- Javi Merino <cibervicho@gmail.com>  Wed, 03 Aug 2011 08:00:03 +0100

mercurial (1.9-1) unstable; urgency=low

  * New upstream release 1.9 (Closes: #632250)
  * Strip trailing .0 from Debian Policy
  * Remove template warnings from debian/watch to remove a lintian
    warning

 -- Javi Merino <cibervicho@gmail.com>  Fri, 22 Jul 2011 19:44:26 +0200

mercurial (1.8.3-1) unstable; urgency=low

  [ Javi Merino ]
  * New upstream release 1.8.3
  * Upgrade Debian Policy to 3.9.2.0

  [ Jonathan Nieder ]
  * Make mercurial-common's Recommends field binNMU-safe (Closes: #626132)

 -- Javi Merino <cibervicho@gmail.com>  Tue, 10 May 2011 20:37:27 +0100

mercurial (1.8.1-3) unstable; urgency=low

  * Team Upload
  * deb_specific__disable_libdir_replacement.patch: Disable @LIBDIR@
    replacement in the hg script, by setup.py (Closes: #620087, LP: #745250)

 -- Stefano Rivera <stefanor@debian.org>  Thu, 31 Mar 2011 00:06:02 +0200

mercurial (1.8.1-2) unstable; urgency=low

  [ Vincent Danjean ]
  * Set /etc/ssl/certs/ca-certificates.crt as default valid root
    certificates and add a recommends to the ca-certificates package
    (Closes: #619821)

  [ Javi Merino ]
  * Mercurial 1.8 breaks hg-git, add that info to debian/control
    (Closes: #619930)

 -- Javi Merino <cibervicho@gmail.com>  Mon, 28 Mar 2011 21:51:40 +0100

mercurial (1.8.1-1) unstable; urgency=low

  * New upstream release 1.8.1 backs out a behavior change for so-called
    'fast-forward' merges on named branches.

 -- Javi Merino <cibervicho@gmail.com>  Sat, 12 Mar 2011 19:01:16 +0000

mercurial (1.8-1) unstable; urgency=low

  * New upstream release 1.8. Many new features and bugfixes, among them:
    - hgk: realize it is hgk and not gitk (Closes: #613339)

 -- Javi Merino <cibervicho@gmail.com>  Sun, 06 Mar 2011 16:01:58 +0000

mercurial (1.7.5-1) unstable; urgency=low

  * New upstream release 1.7.5
  * Delete patch for_upstream__typo_in_manpage.patch which is now
    included upstream
  * Add patch for_upstream__add_backquote_fname.patch , proposed
    upstream (Closes: #611419)
  * Add patch from_upstream__fix_611420.patch which will be part of the
    next mercurial release (Closes: #611420)

 -- Javi Merino <cibervicho@gmail.com>  Sat, 05 Feb 2011 21:05:19 +0000

mercurial (1.7.3-1) experimental; urgency=low

  * New upstream release 1.7.3
  * Add patch for_upstream__typo_in_manpage

 -- Javi Merino <cibervicho@gmail.com>  Tue, 25 Jan 2011 22:22:56 +0000

mercurial (1.7.2-1) experimental; urgency=low

  * New upstream release 1.7.2 (Closes: #606678)
  * Fix typo in NEWS (Closes: #605541)
  * Delete deb_specific__python-module-not-script.patch and
        deb_specific__mergetools
  * Update dh compatibility to 8

 -- Javi Merino <cibervicho@gmail.com>  Mon, 13 Dec 2010 21:34:15 +0000

mercurial (1.6.4-1) unstable; urgency=low

  * New upstream release 1.6.4 (Closes: #598850)
  * Verify ssl validity in https connections (Closes: #598841)

 -- Javi Merino <cibervicho@gmail.com>  Mon, 04 Oct 2010 07:37:33 -0500

mercurial (1.6.3-1) experimental; urgency=low

  * New upstream release 1.6.3
  * Deleted patch from_upstream__issue2255fix-basicauth.diff which is now
        included upstream.

 -- Javi Merino <cibervicho@gmail.com>  Tue, 31 Aug 2010 10:12:42 +0200

mercurial (1.6.2-2) unstable; urgency=low

  * The patch that fixed #586907 was not being applied. Now it should
        work. (Closes: #586907)

 -- Javi Merino <cibervicho@gmail.com>  Thu, 26 Aug 2010 16:31:09 +0200

mercurial (1.6.2-1) unstable; urgency=low

  * New upstream release 1.6.2
  * Dropped build-depend on quilt (Closes: #588671)
  * Added a patch from upstream that works around a bug in python 2.6.5
      (Closes: #586907)
  * Updated Standards-Version to 3.9.1.0 (no change needed)
  * Deleted patch for_upstream__add_doc_url_in_example_files.patch which
      is now in upstream.

 -- Javi Merino <cibervicho@gmail.com>  Fri, 06 Aug 2010 10:43:06 +0200

mercurial (1.6-2) unstable; urgency=low

  * Mercurial 1.6 breaks old versions of hg-git (Closes: #588336)

 -- Javi Merino <cibervicho@gmail.com>  Wed, 07 Jul 2010 15:48:53 +0200

mercurial (1.6-1) unstable; urgency=low

  [ Javi Merino ]
  * New upstream release (1.6). Many bug fixes and improvements. Among
      them:
    - push: break infinite http recursion bug with Python 2.6.5
         (issue2179 and issue2255) (Closes: #586907)
    - zeroconf: Don't use string exceptions (Closes: #585250)
  * Removed patch for_upstream__bashism_in_examples.patch since a fix for
      #581122 is included upstream.
  * Updated Standards-Version to 3.9 (no change needed)

  [ Vincent Danjean ]
  * debian/control:
    + Use Breaks instead of Conflicts
    + Use a fixed version in Replaces
      I put 1.4 but it has been a long time since nothing has been moved
      from mercurial to mercurial-common

 -- Vincent Danjean <vdanjean@debian.org>  Sun, 04 Jul 2010 09:55:28 +0200

mercurial (1.5.4-2) unstable; urgency=low

  * Fix regression in python 2.6.5 (Closes: #586907)

 -- Javi Merino <cibervicho@gmail.com>  Thu, 24 Jun 2010 12:46:57 +0200

mercurial (1.5.4-1) unstable; urgency=low

  * New upstream release (1.5.3). Fixes:
    * fix Issue2181 (commit generates traceback on Nonetype)
    * various improvements to SVN conversion support
    * minor doc improvements
  * New upstream release (1.5.4) (Closes: #586322). Fixes:
    * dispatch: include Python version in traceback
    * push: update help
    * status: avoid performance regression when no .hgsub is present
    * clone: fix performance issue with hardlinks and Windows shares
    * hgweb: fix race in refreshing repo list (issue2188)
    * hgrc: clarify that hgrc keys can be overridden and sections can be split
    * eol: new extension for managing file newlines based on a version
        controlled configuration file
    * pager: fork and exec pager as parent process with /bin/sh -c
    * rebase: stress that only local changesets should be rebased
    * convert/svn: close gettags() log stream (issue2196)
    * record: check that we are not committing a merge before patch selection

 -- Javi Merino <cibervicho@gmail.com>  Wed, 16 Jun 2010 09:51:21 +0200

mercurial (1.5.2-1) unstable; urgency=low

  * New upstream release. Many minor fixes:
    + Core
      * clone: fix URL too long problem with many heads
      * commands: revised documentation of 'default' and 'default-push'
      * copies: properly visit file context ancestors on working file contexts
      * diffstat: use ui.plain() instead of ui.interactive()
      * dirstate: fix in memory dirstate entries for 1-second race
      * dispatch: don't mangle ImportError abort messages
      * filemerge: use working dir parent as ancestor for backward wdir merge
      * hgrc.5: describe form of config values and mention lists as well
      * hgweb: fix attribute error in error response (issue2060)
      * log: document the new xml style
      * merge: correctly compute the flag for noexec filesystems
      * patch: don't look for headers in diff lines
      * push: fix bug in warning message selection
      * revlog: fix lazyparser.__iter__() to return all revisions (issue2137)
      * static-http: allow clone -r (issue2164)
      * subrepo: fix repo root path handling in svn subrepo
      * subrepo: propagate and catch push failures
      * templates: document missing template variables
      * util: fix default termwidth() under Windows
      * util: use an explicit prefix for checkexec/checklink temporary files 
    + Extensions
      * convert/cvs: skip bad tags
      * convert/git: check status when reading output stream
      * convert/subversion: fix default URL checker prototype
      * mq: rewrite strip docstrings
      * mq: use util.unlink instead of os.unlink and os.removedirs
      * schemes: fix // breakage with Python 2.6.5 (issue2111) 
  * Fix "bashism in /bin/sh hgeditor script" (changing shebang line)
    (Closes: #581122)

 -- Vincent Danjean <vdanjean@debian.org>  Tue, 11 May 2010 11:01:25 +0200

mercurial (1.5.1-2) unstable; urgency=low

  * Refresh debian patches
  * Install localization files in the right place (Closes: #577132)

 -- Vincent Danjean <vdanjean@debian.org>  Sat, 10 Apr 2010 06:58:38 +0200

mercurial (1.5.1-1) unstable; urgency=low

  * New upstream release

 -- Vincent Danjean <vdanjean@debian.org>  Fri, 02 Apr 2010 10:45:26 +0200

mercurial (1.5-1) unstable; urgency=low

  * New upstream release
    + Fix "Reserved revnos aren't." (Closes: #552423)
    + Fix "Exception in zeroconf shows up in unrelated commands"
      (Closes: #572963)
    + Fix "/usr/bin/hg: HG(1) missing --config option syntax"
      (Closes: #548413)
    + Fix "A -> B, C -> A rename breaks diff --git" (Closes: #560386)

 -- Vincent Danjean <vdanjean@debian.org>  Fri, 12 Mar 2010 15:10:33 +0100

mercurial (1.4.3-1) unstable; urgency=low

  * New upstream release. (Closes: #569612)
  * Updated Standards-Version to 3.8.4 (no change needed)
  * Remove Gerardo Curiel <gcuriel@debian.org.ve> in the maintainer field
    as asked by the MIA team (Closes: #553101)
  * Do not install mercurial.el. It is only useful with emacs21 that will
    not be in sqeeze. (Closes: #557211)
  * Add a note in NEWS about the disparition of the alias extension
    (Closes: #536533)

 -- Vincent Danjean <vdanjean@debian.org>  Mon, 15 Feb 2010 18:08:57 +0100

mercurial (1.4.1-1) unstable; urgency=low

  * New upstream release

 -- Vincent Danjean <vdanjean@debian.org>  Thu, 03 Dec 2009 22:03:06 +0100

mercurial (1.4-1) unstable; urgency=low

  [ Vernon Tang ]
  * New upstream release.
    - /usr/share/doc/mercurial-common/examples/hg-relink gone
      (replaced by the relink extension)
  * Updated Standards-Version to 3.8.3.

  [ Vincent Danjean ]
  * adjust quilt dependency so that it works with backports
    (ie quilt >> 0.46-6 instead of quilt >= 0.46-7)

 -- Vincent Danjean <vdanjean@debian.org>  Thu, 19 Nov 2009 22:02:54 +0100

mercurial (1.3.1-1) unstable; urgency=low

  * New Upstream Version (mostly bugfixes)

 -- Vincent Danjean <vdanjean@debian.org>  Thu, 23 Jul 2009 22:49:32 +0200

mercurial (1.3-2) unstable; urgency=low

  * Do not hardcode the python interpreter in the hg script
    (ie use python and not pythonX.Y...) [thanks Vernon Tang]

 -- Vincent Danjean <vdanjean@debian.org>  Thu, 09 Jul 2009 17:21:25 +0200

mercurial (1.3-1) unstable; urgency=low

  [ Vincent Danjean ]
  * [debian/control] add version to the quilt dependency. "dh --with quilt"
    is only supported since quilt 0.46-7 (thanks Faheem Mitha and Zed Pobre)
    (Closes: #529700, #534589).

  [ Luca Falavigna ]
  * Changes for Python 2.6 transition (Closes: #532190):
    - Pass --install-layout=deb option to setup.py install call.
    - Bump python-all-dev dependency to >= 2.5.4-1~.

  [ Vernon Tang ]
  * New upstream release. (closes: #536009)
    - Experimental support for sub-repositories
    - Fixed support for HTTPS through proxies (closes: #498711)
    - Experimental share extension
    - Updated translations and numerous small changes and bug fixes
  * Updated Standards-Version to 3.8.2.

 -- Vincent Danjean <vdanjean@debian.org>  Wed, 08 Jul 2009 17:03:39 +0200

mercurial (1.2.1-3) unstable; urgency=low

  * Only install (or remove) files in packages we are building
    (Closes: #529803)
    Who knows how dh_install detect if we are building arch-dep and/or
    arch-indep packages ?

 -- Vincent Danjean <vdanjean@debian.org>  Wed, 27 May 2009 01:46:40 +0200

mercurial (1.2.1-2) unstable; urgency=low

  * rebuild (forgot to upload arch-all in previous upload)

 -- Vincent Danjean <vdanjean@debian.org>  Tue, 19 May 2009 11:01:15 +0200

mercurial (1.2.1-1) unstable; urgency=low

  [ Vernon Tang ]
  * New bugfix upstream release. (Closes: #525403)
    - fixed version number build from tarball
    - fix allow_read logic for hgweb
    - improve handling of damaged revlogs in verify
    - keep .orig files when resolving
    - clear resolve state properly when rebasing
    - improve --command handling with bisect
    - fix diff against bundles
    - improve fetch logic for inactive branches
    - fix diffstat with notify
    - fix 'synthetic file adds' in CVS conversion

  [ Vincent Danjean ]
  * Dump Standards-Version (no change needed)
  * Switch to dh7 instead of cdbs (last releases of cdbs was breaking
    the build system) (Closes: #522426, #527504)

 -- Vincent Danjean <vdanjean@debian.org>  Mon, 18 May 2009 19:43:53 +0200

mercurial (1.2-1) unstable; urgency=low

  * New upstream release.

  * Fix FTBFS with python-support 0.90 by removing dependence on
    python-support internals. (closes: #516269)

 -- Vernon Tang <vt@foilhead.net>  Fri, 06 Mar 2009 17:37:45 +0800

mercurial (1.1.2+hg20090217-7787-b8d750daadde-1) experimental; urgency=low

  [ Vernon Tang ]
  * New snapshot for feature freeze before next major release.

  * debian/patches:
    - deb_specific__mergetools: remove RCS merge from merge tools
    - Added:
      - proposed_upstream__dont-install-i18n
    - Dropped:
      - convert-darc-doc.patch: dropping for now to avoid fuzzing translations
      - backport__zeroconf-doc
    - Refreshed:
      - deb_specific__install-templates-separately
      - deb_specific__mergetools

  * debian/control:
    - Add gettext to build dependencies for compiling translations
    - Remove RCS merge from Recommends
    - Change merge tool Recommends to Suggests, add xxdiff

  [ Vincent Danjean ]
  * swich to debhelper 7.
    Debhelper 5.0.37.2 is not enought: 6.0.7 at least is required for
    dh_lintian to be called.
  * Fix version to hg hash (instead of 'unknown') for this snapshot
  * Fix upstream version in changelog
  * Upload to experimental

 -- Vincent Danjean <vdanjean@debian.org>  Wed, 18 Feb 2009 16:24:23 +0100

mercurial (1.1.2-2) unstable; urgency=low

  * debian/mercurial.postinst: symlink /usr/share/doc/mercurial if dpkg didn't
    do it when upgrading (closes: #512155)
  * debian/control: mercurial-common replaces all earlier versions of
    mercurial

 -- Vernon Tang <vt@foilhead.net>  Sun, 18 Jan 2009 10:39:58 +0800

mercurial (1.1.2-1) unstable; urgency=low

  [ Vernon Tang ]
  * New upstream release (closes: #499846)
    Also resolves the following Debian bugs:
    - mq corrupts repository on file rename (closes: #503997)
    - failing import breaks Python help (closes: #476885)
    - hg email doesn't use correct encoding (closes: #427854)
    - error when loading extensions twice (closes: #447088)
    - static-http does not work with old layout repositories (closes: #494889)
    - hgwebdir.cgi goes into endless loop when viewing moved files
      (closes: #506694)

  * Install hg-ssh (ssh login shell for an hg server) system-wide.
  * Don't enable extensions by default. (closes: #511872, #503865, #491109)

  * debian/control:
    - Moved dependencies to mercurial-common where appropriate
    - Removed Recommends: python-beaker (not a Mercurial dependency)
    - Removed 'convert' extension dependencies from Suggests:
      (convert depends on many of the other SCMs it can convert from)
    - Added python-openssl to Suggests for "hg serve" HTTPS support.
  * debian/hgext.rc: updated for 1.1.2.
  * debian/mercurial*, debian/rules: general cleanup.
  * debian/README.Debian: updated, proofread, and corrected.
  * debian/patches:
    - Added headers.
    - Added:
      - deb_specific__install-templates-separately
        (patch template search path to /usr/share instead of symlinking from
        the module directory)
      - backport__zeroconf-doc, proposed_upstream__correct-zeroconf-doc
      - deb_specific__mergetools
    - Renamed deb_specific__ElementTree_for_darcs.patch to
      deb_specific__optional-dependencies and updated to suggest Debian
      packages for more optional dependencies
    - Dropped:
      - proposed_upstream__extension_syntax.patch
      - deb_specific__FAQ_subst.patch
      - deb_specific__bash_completion_global_option_already_set.patch
      - backport__CVE-2008-2942-fix.patch
      - backport__svn1.5-fix.patch
    - Refreshed:
      - deb_specific__use_sensible-editor.patch
      - deb_specific__hgk.py.patch
      - convert-darc-doc.patch

  [ Sandro Tosi ]
  * debian/control
    - switch Vcs-Browser field to viewsvn

  [ Marco Rodrigues ]
  * debian/control:
    + Add ${misc:Depends} to Depends to remove
      lintian warning.

  [ Vincent Danjean ]
  * Document the fact that extensions are not enabled by default anymore
    in the NEWS file
  * big thanks to Vernon Tang for its work
  * upload the package

 -- Vincent Danjean <vdanjean@debian.org>  Sat, 17 Jan 2009 17:33:46 +0100

mercurial (1.0.1-5.1) unstable; urgency=high

  * Non-maintainer upload by the Security Team.
  * Honor allowpull configuration setting from hgrc on a repository clone to
    prevent information disclosure (CVE-2008-4297; Closes: #500781).

 -- Nico Golde <nion@debian.org>  Fri, 03 Oct 2008 16:25:13 +0200

mercurial (1.0.1-5) unstable; urgency=low

  * Fix debian/copyright (GPL-2 only and not GPL-2+) (Closes: #493967)

 -- Vincent Danjean <vdanjean@debian.org>  Tue, 26 Aug 2008 15:28:20 +0200

mercurial (1.0.1-4) unstable; urgency=low

  * fix subversion 1.5 compatibility (Closes: #492244)
    using upstream patch
  * fix bashism in postinst

 -- Vincent Danjean <vdanjean@debian.org>  Thu, 31 Jul 2008 14:27:51 +0200

mercurial (1.0.1-3) unstable; urgency=low

  * debian/control:
    + update Standard-Version (no change needed)
    + add python-beaker as recommends (needed for "hg serve") (Closes:
      #486299)
  * fix wrong ucf registration (/etc/hgrc.d/ vs /etc/mercurial/hgrc.d/)
    (Closes: #487089). Thanks Max Bowsher for noticing.
  * add a mention to "legacy Darcs 1 format" in convert documentation
    (Closes: #485887)

 -- Vincent Danjean <vdanjean@debian.org>  Tue, 08 Jul 2008 20:40:05 +0200

mercurial (1.0.1-2) unstable; urgency=high

  * Backport from upstream: fix CVE-2008-2942 Insufficient input validation
    (Closes: #488628)

 -- Vincent Danjean <vdanjean@debian.org>  Tue, 01 Jul 2008 18:44:19 +0200

mercurial (1.0.1-1) unstable; urgency=low

  * New upstream release
    + Bugfix release
  * debian/watch: do not call uupdate

 -- Vincent Danjean <vdanjean@debian.org>  Sat, 31 May 2008 19:26:16 +0200

mercurial (1.0-7) unstable; urgency=low

  * Lowering versioned dependency on ucf. Etch version of ucf is enought.
    #479485 was using a pre etch version of ucf.

 -- Vincent Danjean <vdanjean@debian.org>  Mon, 26 May 2008 09:25:45 +0200

mercurial (1.0-6) unstable; urgency=low

  * add versionned dependency on ucf due to the use to ucfr (Closes: #479485)
  * re-add rcs as first alternative of recommands. Discussion about this
    can be found in #460943 and #479077 (Closes: #479077)

 -- Vincent Danjean <vdanjean@debian.org>  Wed, 21 May 2008 10:04:32 +0200

mercurial (1.0-5) unstable; urgency=low

  * Add a note in the NEWS file about upstream change for merging conflicts.
    (Closes: #481553, )
  * install mergetools.hgrc system wide (Closes: #481089)
  * add suggest and documentation for convert extension dependencies
    (Closes: #477652)

 -- Vincent Danjean <vdanjean@debian.org>  Tue, 20 May 2008 22:46:57 +0200

mercurial (1.0-4) unstable; urgency=low

  * fix build system so that "hg version" works
  * fix typos in doc (darcs instead of darc)
  * remove suggests: for foreign SCM. If someone needs them for the convert
    extension, they should be already installed (Closes: #476342)

 -- Vincent Danjean <vdanjean@debian.org>  Wed, 16 Apr 2008 10:05:53 +0200

mercurial (1.0-3) unstable; urgency=low

  * really fix auto-enabling extensions at installation time
    + be less strict with spaces
    + reformat the hgext.rc file to be consistent

 -- Vincent Danjean <vdanjean@debian.org>  Tue, 15 Apr 2008 10:32:38 +0200

mercurial (1.0-2) unstable; urgency=low

  * fix typo in mercurial postinst
  * remove Suggests to non existant mercurial-web
  * add lintian-override for non depends on "tk8.4 | wish" in
    mercurial-common (the Suggests: is in the mercurial package
    as for all other extensions' dependencies)
  * fix handling of automatic enabled extension in postinst
    (they must be disabled in the installed template)
  * add detection of inotify extension before enabling it (needed on
    etch that has a too old libc)

 -- Vincent Danjean <vdanjean@debian.org>  Mon, 07 Apr 2008 09:06:04 +0200

mercurial (1.0-1) unstable; urgency=low

  * new upstream version
    Closes several Debian bugs:
     * "hg convert broken" (Closes: #472185)
     * "hgmerge: uses non-POSIX syntax `type' in /bin/sh script" (Closes:
       #447094)
     * "hgmerge: --help option gives a message that ends strangely" (Closes:
       #443428)
     * "mercurial: hg/editor interaction leaves a lot of temp files around"
       (Closes: #472943)
     * "mercurial: Mercurial merge with meld needs hint" (Closes: #466006)
     * "glog: tries to close closed fd" (Closes: #454326)
     * "mercurial: `hg diff` can break UTF-8 encoding" (Closes: #469326)
     * "Recording mtime after recording commit message leads to hidden (lost)
       changes" (Closes: #452385)
    General:
     * greatly improved merge tool configuration, see "hgrc.5.txt" for details
     * improved copy/rename handling in diffs, status, and merge
     * files in .hg inherit permissions from .hg/store
     * infer --repository when possible, so commands may be run from anywhere.
     * easy-installable
     * new "droplet" logo
    
    Commands:
     * archive: disable ".hg_archival.txt" file addition with "ui.archivemeta"
     * bisect: now built-in with greatly improved performance and usability
     * bundle: new --all option to bundle the whole repository more easily.
     * cat: apply decode filters with --decode
     * clone: can clone from a full-history bundle
     * commit: warn when creating a new head
     * debugancestor: index argument is now optional
     * diff: set the number of context line to show with -U/--unified
     * grep: display matched revisions commit date with --date
     * import: new --no-commit and --user options
     * incoming/outgoing: add --limit option
     * log: use -b/--only-branch to show revisions of a single branch
     * remove: improve handling for --after
     * revert: major speedup
     * serve: prefix the served path with --prefix (also in [web] section)
     * status: unknown files are skipped by --quiet
     * tag: allow multiple tags to be added or removed
     * tags: --verbose flags local tags
     * update: switch between named branches without -C
    
    Extensions:
     * churn: promoted to an official extension (previously in contrib)
     * color: new extension coloring "status" and "qseries" command outputs    
     * convert:
       * allow synthetic history to be spliced in with --splicemap
       * support GNU Arch and Monotone sources
       * svn: allow shallow conversions of single branches with 
         convert.svn.startrev option.
       * svn: make trunk/branches/tags layout detection more flexible by 
         allowing either of them to be skipped.
       * svn: preliminary support as a conversion target
     * hgk: configuration file changed from .gitk to .hgk
     * highlight: new extension enabling syntax highlighting in hgweb file view
       (requires pygments)
     * inotify: new extension using Linux 2.6 inotify API for instant status
       checking
     * keyword: new extension for filewise RCS-keyword expansion in working
       directory
     * mq: new --currentdate, --date, --currentuser, and 
       --user options
     * record: add "qrecord" command when used with mq
     
    Web interface:
     * improved WSGI integration and compatibility
     * follow symlinks in hgwebdir collections
     * show branches in most of gitweb templates
     * add line anchors to annotate, changeset, diff and file views 
     * support web.baseurl in hgwebdir, overriding SCRIPT_NAME
    
    Hooks:
     * standard hook to reject text files with CRLF in win32text extension
     * redirect stdout to stderr for ssh and http servers
      
  [ Gerardo Curiel ]
  * Split package to fix lintian warnings:
    + mercurial -  main package
    + mercurial-common - Arch-indep bits
  * Fix clean target
  * Dropped patches:
    patches/proposed_upstream__check_hgmerge_args.patch
    patches/proposed_upstream__type_is_not_posix.patch
  * patches/deb_specific__use_sensible-editor.patch:
    Rediff against mercurial 1.0 
  * hgmerge shell script is not provided anymore
  * contrib/favicon.ico is not provided anymore
  * Deleted obsolete link_hgit target from debian/rules
  * Added mergetools.hgrc to the examples
    directory
  * Added logo-droplets.svg to /usr/share/mercurial
  * Added new extensions to the hgext.rc file
    + hgext.color (not enabled by default)
    + hgext.highlight (not enabled by default)
    + hgext.inotify (enabled, Closes: #472583)
    + hgext.keyword (not enabled by default)
  * Removed extensions from the hgext.rc file
    + hgext.hbisect (now provided as a built-in command)
  * Added new suggested dependencies :
    + python-pygments (needed for hgext/highlight.py)
    + python-elementtree (for darcs conversion)

  [ Vincent Danjean ]
  * import mercurial in the Python Application Packaging Team project
  * debian/control:
    + add PAPT in the Uploaders field
    + add Vcs-* fields
    + add conflicts/replaces fields to ensure proper upgrade for
      mercurial-common
  * cleanup debian/ files
    + remove unneeded debian/*.{dirs} files 
  * move examples/ in usr/share/doc/mercurial (in the mercurial-common
    package)
  * manage hgext.rc with ucf. Enabling some extensions only if their
    dependencies are present
  * put all usr/share/python-support/* in mercurial-common instead of
    mercurial. This trigger a lintian warning but this is an error (see
    #473428)
                  
  [ Piotr Ożarowski ]
  * New recommended packages:
    + python-mysqldb (hgext/bugzilla.py)
    + python-openssl (hgweb/server.py)
  * New suggested packages:
    + python-flup (contrib/hgwebdir.fcgi, Closes: #466731)
 
  [ William Pitcock ]
  * patches/deb_specific__use_sensible-editor.patch:
    +Rediff against 1.0 branch.

 -- Vincent Danjean <vdanjean@debian.org>  Mon, 07 Apr 2008 00:11:40 +0200

mercurial (0.9.5-3) unstable; urgency=low

  * [debian/control]
    + Recommends rcs first (and before kdiff3) as hgmerge
      use it in first (and does not use another program if it exists)
      (Closes: #460943)
      As an additionnal value, rcs has really fewer dependencies
    + Move Homepage: from description to source stanza
    + Suggest qct instead of commit-tool (better developed upstream)
    + Bump standard-version to 3.7.3 (no change needed)
    + Add python-elementtree to suggest (needed for hg convert with darcs
      repo) (Closes: 459353)
      Should be removed when debian will switch to python2.5 (as it is
      included in it)
    + move tk8.4 | wish from recommends to suggests as it is needed by
      an extension (hgk) and not by the core package
  * [debian/README]
    + document that extension dependencies are listed as Suggests:
  * [debian/patches/deb_specific__use_VISUAL_envvar.patch]
    Rewrite the patch using sensible-editor (Closes: 448376)
    and rename it to deb_specific__use_sensible-editor.patch
  * [debian/rule]
    + rewrite the fix for cdbs/dh_python so that we depend on the
      current python version (Closes: #456556)

 -- Vincent Danjean <vdanjean@debian.org>  Mon, 21 Jan 2008 20:57:27 +0100

mercurial (0.9.5-2) unstable; urgency=low

  * Apply patch to change 'hgext/' into 'hgext.' when loading an extension
    Current config files use the documented syntax (ie 'hgext.extname=')
    Users can use 'hgext/extname=' in their hgrc if they want to
    (Closes: #447088)

 -- Vincent Danjean <vdanjean@debian.org>  Fri, 02 Nov 2007 11:59:03 +0100

mercurial (0.9.5-1) unstable; urgency=low

  * New upstream release
    Closes: #435636 (erroneous multiple heads after commit)
    Closes: #427808 (hgweb/hgwebdir do not work with flup (FastCGI))
    Closes: #418780 (partial hgweb listings)
    Closes: #440175 (please include record extension)
    Closes: #447663 (0.9.5 available)
    Closes: #427851 (RSS feeds have wrong URL with https)
    New features:
     * Handle symlinks on systems without symlink support
     * hg archive supports symlinks
     * Display executable/symlink bit with "hg manifest -v" (see UpgradeNotes)
     * Improved hg verify diagostics
     * Faster revlog handling
     * Faster handling of large directories
     * Greatly improved handling of large files
     * Atom syndication support in hgweb
     * Improved test suite with parallel execution
    
    Fixes:
     * Fixes for some file copy and rename corner cases
     * Allow moving newly-added files before commit
     * Improve hg diff whitespace handling
     * Disallow fast-forward merge with an ancestor
     * Fix adding untracked files on directory renames
     * Fix hg archive %r format specifier
     * Fix re: and glob: patterns in .hgignore
     * Improve hg executable path resolution
     * Many options and hgrc parsing improvements
     * Better handling of VFAT filesystems on Linux
     * Fix tgz archival on Windows
     * Fix hg serve on Windows requiring pywin32 modules
     * Fix --profile under Windows
    
    New extensions:
     * alias - allow user-defined command aliases
     * children - show the children of the given or working dir revision
     * imerge - incremental interactive merging
     * interhg - modify changelog text as in InterWiki
     * record - darcs-style interactive change selection during commit
    
    New extension features:
     * convert
       * Now supports Subversion, Darcs and Mercurial as source SCMs
       * Use clone's behaviour for the default destination name
       * Force encoding to UTF-8 for converted repository
       * Support new-style .cvspass file format
       * Filter the files and directories to import
       * Remap paths to new locations during import
     * hgk
       * Fix hgk stopping because of untrusted repository warnings
       * Handle filenames with spaces
       * Improved documentation
     * mq
       * Autodetect --git patches on qrefresh

  * Improve README.Debian about Emacs
    Closes: #446972 (mercurial.el: autoload)
    Thanks to Trent W. Buck for its explainations added to the README.Debian
  * Apply several patches to hgmerge:
    - use /bin/bash for hgmerge: 'type' is not POSIX (Closes: #447094)
    - patch hgmerge to do minimum check of its arguments (Closes: #443428)
    - use $VISUAL and default to 'editor' instead of 'vi'
      (Closes: #447095, #448376) [mercurial/command.py modified too]
  * Correct wrong link to web docs in README.Debian (Closes: #425841)
  * [debian/control] Recommends: meld (used to hgmerge) (Closes: #316347)

 -- Vincent Danjean <vdanjean@debian.org>  Mon, 29 Oct 2007 10:22:45 +0100

mercurial (0.9.4-1) unstable; urgency=low

  * New upstream release (Closes: #430714)
    + New features:
       * support for symlinks
       * improved tag handling
       * improved merge handling of file and directory renames
       * improved named branch usability
       * numerous improvements to commands
       * generic pre- and post-command hooks
       * improved Windows support
       * basic BeOS and OpenVMS support
       * numerous bug fixes

    + New extensions and contributions:
       * extensions can now be specified in .hg/hgrc
       * new convert extension with CVS support
       * new graphlog extension
       * improved patchbomb extension
       * example FastCGI script

 -- Vincent Danjean <vdanjean@debian.org>  Wed, 27 Jun 2007 00:33:27 +0200

mercurial (0.9.3-2) unstable; urgency=low

  * [debian/rule, debian/control] remove workaround for symlink support in
    python-support and bump dependency of python-support (>= 0.4.3)
  * [debian/rule] use default python interpreter as 2.4 is the default now
  * [debian/mercurial.postinst] remove old
    /usr/lib/python*/site-packages/{mercurial,hgext} directories if needed
    (Closes: #382252)
  * forgot to closes: #382185 since 0.9.2 upstream release (hgrc manual does
    not say [smtp] host is optional any more)

 -- Vincent Danjean <vdanjean@debian.org>  Wed,  3 Jan 2007 14:22:10 +0100

mercurial (0.9.3-1) unstable; urgency=low

  * New upstream release
    + Bug fixes:
       - fix a merge copy/rename corner case
       - fix spurious new heads message with push -r
       - fix hg export %n sequence numbers
       - fix shell quoting on Windows
       - fix charset encoding for hgwebdir and obfuscated addresses
       - fix missing generated files for distribution tarball
       - fix convert-repo tag updates and transcoding of committer
       - add instructions for redoing failed merges
      
    + Documentation fixes:
       - hg cat, manifest, and tag default to current parent revision.
       - CGI stub comments clarified
       - corrected synopses for many commands
       - improve doc building and distribution
       - convert-repo: update usage information
      
    + Extension fixes:
       - mq: fix strip on Windows
       - mq: fix some guards corner cases
       - gpg: make 'hg sign' default to current parent
    


 -- Vincent Danjean <vdanjean@debian.org>  Tue, 19 Dec 2006 11:25:55 +0100

mercurial (0.9.2-3) unstable; urgency=low

  * remove debian/patches/submitted_upstream__restore_hgk.py.patch
    as it is now included in the release (and avoid to use a old hgk.py
    with a recent hg) (Closes: #403282)

 -- Vincent Danjean <vdanjean@debian.org>  Sat, 16 Dec 2006 15:51:13 +0100

mercurial (0.9.2-2) unstable; urgency=low

  * [debian/rules] add support for python2.5
  * [README.Debian] update list of default extensions

 -- Vincent Danjean <vdanjean@debian.org>  Thu, 14 Dec 2006 15:26:10 +0100

mercurial (0.9.2-1) unstable; urgency=low

  * New upstream release
   + New features:
      - merge now follows renames and copies
      - new layout protects against case-insensitivity issues
      - new branch and branches commands for managing named branches
      - push command accepts -r for pushing specified heads or named
        branches
      - proper storage of changelog and other metadata in UTF-8
      - log, annotate and grep '--follow' follow renames and copies
      - date parsing is improved and log, update, and revert accept
        --date ranges
      - additional command options for log, status, addremove
      - improved schema for hgweb URLs
      - bundle can now use '-r' and '--base' removing the need of an
        base repository
      - support for git-style extended patches with --git option
      - new debuginstall command to check for common installation issues
     
   + New contributions and extensions:
      - mq
        - support for quilt-style guards
        - can import existing changesets into mq ('qimport -r') or 
          commit mq patches as regular changesets ('qdel -f')
        - edit the log message with 'qrefresh -e'
        - rename patches with 'qrename'
        - qheader to display the patch header of particular patches, 
          and '--summary' for qseries, qapplied, qunapplied and qtop
        - combine patches with 'qfold'
        - qrefresh supports pattern options to import only a subset 
          of the changes into a patch, to help split changes into
          multiple patches
        - patch names for applied patches act like local tags, and can
          be used in the revision arguments of any hg command
      - hgk
        - browse a subset of the history with '--limit' and revision range
          arguments
        - shows revision numbers as well as node hashes
      - churn: graph lines of code changed per user over a range of history
      - patchbomb: generate inline attachments with '-a'
     
   + Behavior changes:
      - hg cat defaults to the working directory revision rather than tip
      - hg manifest no longer shows internal file revision hashes by default
      - hg revert now requires the -a flag to revert all files
     
   + Developer notes:
      - new high-level API functions in the 'hg' module
      - new context API simplifies many operations
      - The changelog can now include arbitrary metadata in key: value form
  * [debian]: include the churn extension and enable it by default

 -- Vincent Danjean <vdanjean@debian.org>  Thu, 14 Dec 2006 13:05:01 +0100

mercurial (0.9.1+20061210+8c24b6fd5866-1) experimental; urgency=low

  * New upstream release
    snapshot before 0.9.2 release
  * [debian/control] : update maintainer field : I'am DD now :-)

 -- Vincent Danjean <vdanjean@debian.org>  Sun, 10 Dec 2006 22:40:30 +0100

mercurial (0.9.1-1) unstable; urgency=low

  * New upstream release
    Major changes between Mercurial 0.9 and 0.9.1:
    
     New features:
     - You can now configure your 'hgweb' server to let remote users
       'push' changes over http.
     - You can now 'import' a patch in a mail message by saving the mail
       message, and importing it.  This works for patches sent either
       inline or as attachments.
     - The 'diff' command now accepts '-rA:B' syntax as a synonym for
       '-r A -r B', and adds '-b' and '-B' options.
    
     New contributions and extensions:
     - The 'acl' extension lets you lock down parts of a repository
       against incoming changes
     - The 'extdiff' extension lets you run your favourite graphical
       change viewer
     - Comprehensive integration with the 'vim' editor
     - A restricted shell for 'ssh'-hosted repositories
     - An importer for 'darcs' repositories
    
     New hooks added:
     - 'preupdate' is run before an update or merge in the working
       directory.
     - 'update' is run after an update or merge in the working
       directory.
    
     Behaviour changes:
     - NOTE: Mercurial as installed by the Windows binary
       installer no longer performs automatic line-ending conversion for
       Unix/Linux compatibility.  To re-enable this feature, edit your
       'mercurial.ini' file after you upgrade.
     - The Windows binary installer now automatically adds 'hg' to your
       '%PATH%'.
     - The 'backout' command now runs an editor by default, to let you
       modify the commit message for a backed-out changeset.
     - An earlier problem with parsing of tags has been fixed.
       This makes tag parsing slower but more reliable.
    
     Memory usage and performance improvements:
     - The 'remove' command has been rewritten to be hundreds of times
       faster in large repositories.
     - It is now possible to 'clone' a repository very quickly over a
       LAN, if the server is configured to allow it.  See the new 'server'
       section in the 'hgrc' documentation.
    
     Other changes of note:
     - Mercurial will now print help for an extension if you type 'hg
       help EXT_NAME'.
     - The usual array of bug fixes and documentation improvements.
     - The integrated web server is now more WSGI-compliant.
     - Work has begun to solidify Mercurial's API for use by third-party
       packages.
    
 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Tue, 25 Jul 2006 19:21:13 +0200

mercurial (0.9-9) unstable; urgency=low

  * Force the use of python2.4 with a sed command. A race condition on some
    autobuilders makes that workaround needed. (Really closes: #378835)

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Thu, 20 Jul 2006 17:59:35 +0200

mercurial (0.9-8) unstable; urgency=low

  * do not use default python but python2.4 instead for hg :
    most code is python2.3 compatible (so we still compile .py files for
    pyhton2.3) but "hg help" need features for python2.4
    Closes: #378835
    Thanks David Douard for reporting this.
  * adding missing manpage hgignore (Closes: #378502)
    Thanks Baruch Even for reporting this.
  * remove hack in postinst (dpkg not replacing directory by symlink) as it is
    no more useful (directory was in /usr/lib/python2.3, symlink in now in
    /usr/lib/python2.4)
  * Create symlinks for the templates directory within the mercurial directory
    (and not in another python serch path) (Closes: #378538)

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Wed, 19 Jul 2006 12:25:30 +0200

mercurial (0.9-7) unstable; urgency=low

  * mercurial will use the default python interpreter

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Tue, 11 Jul 2006 23:12:14 +0200

mercurial (0.9-6) unstable; urgency=low

  * update to the new python policy
  * reenable the fix for #362487 as python2.3 is useable again

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Tue,  4 Jul 2006 00:19:50 +0200

mercurial (0.9-5) unstable; urgency=low

  * call dh_python with -V 2.4 argument

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Mon, 29 May 2006 09:18:53 +0200

mercurial (0.9-4) unstable; urgency=low

  * [debian/copyright] add copyright for Debian packaging
  * [debian/NEWS] talk about python2.3->python2.4 transition

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Wed, 17 May 2006 00:28:48 +0200

mercurial (0.9-3) unstable; urgency=low

  * [debian/compat] debhelper compat version dumped to 5

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Sun, 14 May 2006 21:27:43 +0200

mercurial (0.9-2) unstable; urgency=low

  * fix a bug in update/revert (patch from Vadim Gelfer already applied
    upstream)
  * [debian/control] build-depend on python as dh_python require it
    (package did not fail to build due to an indirect build-dependency
    but it is safer like that)

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Fri, 12 May 2006 19:30:44 +0200

mercurial (0.9-1) unstable; urgency=low

  * New upstream release
    Major changes between Mercurial 0.8.1 and 0.9:
     - The repository file format has been improved.
       - This has resulted in an average 40% reduction in disk space usage.
       - The new format (called RevlogNG) is now the default.
       - Mercurial works perfectly with both the old and new repository
         file formats. It can transfer changes transparently between
         repositories of either format.
       - To use the new repository format, simply use `hg clone --pull` to
         clone an existing repository.
       - Note: Versions 0.8.1 and earlier of Mercurial cannot read
         RevlogNG repositories directly, but they can `clone`, `pull`
         from, and `push` to servers that are serving RevlogNG
         repositories.
     - Memory usage has been improved by over 50% for many common operations.
     - Substantial performance improvements on large repositories.
     - New commands:
       - 'archive' - generate a directory tree snapshot, tarball, or zip
         file of a revision
     - Deprecated commands:
       - 'addremove' - replaced by 'add' and 'remove --after'
       - 'forget' - replaced by 'revert'
       - 'undo' - replaced by 'rollback'
     - New extensions:
       - Bugzilla integration hook
       - Email notification hook
     - Nested repositories are now supported. Mercurial will not recurse
       into a subdirectory that contains a '.hg' directory. It is treated
       as a separate repository.
     - The standalone web server, 'hg serve', is now threaded, so it can
       talk to multiple clients at a time.
     - The web server can now display a "message of the day".
     - Support added for hooks written in Python.
     - Many improvements and clarifications to built-in help.
  * [debian/control] set Standard-Version to 3.7.2 (no changes required) 

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Thu, 11 May 2006 01:00:03 +0200

mercurial (0.8.1-6) unstable; urgency=low

  * cleanup patches applied on top of upstream sources
    send the interesting one to upstream before the 0.9 release

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Thu, 27 Apr 2006 03:20:24 +0200

mercurial (0.8.1-5) unstable; urgency=low

  * use python2.4 instead of standard python (2.3 for now):
    this allows to use hglib backend with tailor
  * several minor fixes so that tailor works with the 'hglib' backend
    these are submitted upstream
  * hardcode python interpreter in script instead of using /usr/bin/env
    as suggested by the python policy
  * remove previous hack (dpkg not replacing directory by symlink) as
    it is no more useful (directory was in /usr/lib/python2.3, symlink in now
    in /usr/lib/python2.4)

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Mon, 17 Apr 2006 12:21:24 +0200

mercurial (0.8.1-4) unstable; urgency=low

  * directory doesn't get replaced by symlink (Closes: #362487)
    and dpkg does not say anything ! Thanks Norbert Tretkowski

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Fri, 14 Apr 2006 00:38:10 +0200

mercurial (0.8.1-3) unstable; urgency=low

  * Really fix #361897 (Thanks Darren Salt again)

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Wed, 12 Apr 2006 20:33:45 +0200

mercurial (0.8.1-2) unstable; urgency=low

  * Fix new tag syntax for hgk. Thanks Darren Salt (Closes: #361897)

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Tue, 11 Apr 2006 13:25:04 +0200

mercurial (0.8.1-1) unstable; urgency=low

  * New upstream release
    Major changes from 0.8 to 0.8.1:
    - new extensions:
      mq (manage a queue of patches, like quilt only better) (Closes: #343824)
      email (send changes as series of email patches)
    - new command: merge (replaces "update -m")
    - improved commands: log (--limit option added), pull/push ("-r" works
      on specific revisions), revert (rewritten, much better)
    - comprehensive hook support
    - output templating added, supporting e.g. GNU changelog style
    - Windows, Mac OS X: prebuilt binary packages, better support
    - many reliability, performance, and memory usage improvements

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Mon, 10 Apr 2006 22:09:16 +0200

mercurial (0.8-3) unstable; urgency=low

  * Fix typo in long description

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Tue,  4 Apr 2006 03:30:22 +0200

mercurial (0.8-2) unstable; urgency=low

  * Add documentation about extensions packaged for Debian.

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Tue, 31 Jan 2006 11:14:52 +0100

mercurial (0.8-1) unstable; urgency=low

  * New upstream release
    Major changes from 0.7 to 0.8:
    - faster status, diff, and commit
    - reduced memory usage for push and pull
    - improved extension API
    - new bisect, gpg, hgk, and win32text extensions
    - short URLs, binary file handling, and optional gitweb skin for hgweb
    - numerous new command options including log --keyword and pull --rev
    - improved hooks and file filtering

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Mon, 30 Jan 2006 16:06:34 +0100

mercurial (0.7+20060110+0d36e3d7e2ea-1) experimental; urgency=low

  * package test to try upstream sources before 0.8

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Tue, 10 Jan 2006 22:47:38 +0100

mercurial (0.7-8) unstable; urgency=low

  * Closes: #343459: correct FAQ URL
  * Closes: #343458: fix directory completion
  * Closes: #343472: clone does not work with path aliases
    (Thanks Daniel Kobras for these three bugreports with patch)

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Tue,  3 Jan 2006 21:13:23 +0100

mercurial (0.7-7) unstable; urgency=low

  * Add support for alias st for hg status (Closes: #340235)
    (backport from tip, thanks  Michael Gebetsroither <michael.geb@gmx.at>)

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Tue, 22 Nov 2005 13:01:39 +0100

mercurial (0.7-6) unstable; urgency=low

  * Backport of the patch "fix handling of daylight saving time"
    from upstream (Closes: #336646)

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Wed,  2 Nov 2005 06:17:04 +0100

mercurial (0.7-5) unstable; urgency=low

  * Add hgweb.cgi and hgwebdir.cgi in examples (Closes: #332973)

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Sat, 15 Oct 2005 11:24:54 +0200

mercurial (0.7-4) unstable; urgency=low

  * backport from upstream of
    - use of 'hgext' directory for extensions
    - 'hgk.py' extension (was hgit before)
    => 'hg view' works ;-)
  * add 'Recommands: wish' for the hgk extension

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Fri, 23 Sep 2005 11:45:13 +0200

mercurial (0.7-3) unstable; urgency=low

  * Add system-wide config directory (so that extensions can be easyly added)
  * Enable hgit extension

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Tue, 20 Sep 2005 02:47:16 +0200

mercurial (0.7-2) unstable; urgency=low

  * Correct changelog.Debian (I forgot to add upstream changes in the
    previous entry)

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Sun, 18 Sep 2005 22:46:14 +0200

mercurial (0.7-1) unstable; urgency=low

  * New upstream release (Closes: #328725)
    core
     improved merge logic
     improved copy/rename support (still experimental)
     automatic binary file handling
     generic file filtering support
     various performance improvements
    command line
     new bundle/unbundle commands for exchanging native updates
     more natural support for remove, copy, and rename
     faster, more powerful log command
     new grep command for searching entire history
     support for plug-in extensions
     improved exception handling and debugging facilities
    hgweb
     optional downloading of tarballs and zip files
    Windows support
     hardlinking support
     newline conversion through file filtering
    contrib
     updated hgk 
  * New package (a bit delayed due to a crash disk and a new job)
  * Upstream added support for options -h and --help (Closes: #324049)
  * renamming conffile 'bash_completion' to 'mercurial' (Closes: #325266)

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Sat, 17 Sep 2005 16:54:37 +0200

mercurial (0.6c-1) unstable; urgency=low

  * New upstream release
    What's new:

    core functionality
     ability to use tags to identify branches 
     detect adding new heads with push
     protocol versioning for push/pull
     https: support
     minor merge fixes
    command line
     much more powerful path handling
     incoming/outgoing commands
     smarter import/export
     fewer long, confusing hashes to deal with
     many new command options and settings
    portability
     improved portability of test suite and support scripts
     improved Windows support
    web interface
     easy to set up multiple repository interface
     several new hgrc config options
     IPv6 support
    documentation
     improved built-in help and man pages
     a steadily growing wiki
     tutorial in multiple languages
    extras
     a highly functional bash auto-completion script
     a new Emacs mode

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Tue, 23 Aug 2005 11:01:36 +0200

mercurial (0.6b-2) unstable; urgency=low

  * Adds proper python dependencies
  * Recommends tkdiff or kdiff3 for merge purpose
  * Suggests meld as this is another merging program that can be used by
    mercurial (but this needs the user set the HGMERGE variable)
  * Closes: #316347: Please Recommands: meld

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Wed, 17 Aug 2005 10:33:33 +0200

mercurial (0.6b-1) unstable; urgency=low

  * New upstream release
    What's new:
    
    improved ui
     new clone command replaces mkdir+init+pull+update
     new revert command
     add range support and -p option to log to show patches
     tags command now supports local tags
     improved push and pull
     better exception and signal handling
     improved option parsing
     support for user-defined hooks (aka triggers)
    performance updates
     even faster import of large sets of patches
     faster delta generation
     faster annotate
     faster status and ignore
    improved web interface
     more conformant and compatible HTML output
     built-in RSS feeds
     better tags handling
     fast multiple keyword search
    portability work
     support for Windows is nearly complete
     should easily compile and install on any modern UNIX
     comes with RPM spec file and script
    and more
     doc and help updates
     improved test suite
     numerous bug fixes and cleanups

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Tue, 12 Jul 2005 11:45:13 +0200

mercurial (0.6-2) unstable; urgency=low

  * Add meld to Suggest as it is not used by default hgmerge
    (Closes: #316347: Please Recommands: meld)

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Thu, 30 Jun 2005 16:30:33 +0200

mercurial (0.6-1) unstable; urgency=low

  * New upstream release
    This release contains a huge number of improvements:
    
    improved source tracking
      multi-head support
      permission tracking
      rename and copy tracking
      improved tag handling
    friendlier, more robust command line interface
      integrated help
      faster startup
      better exception handling
      smarter three-way merge helper
    improved communication
      faster outstanding changeset detection
      SSH-based push support
      non-transparent proxy support
    improved configuration handling
      support for .hgrc and .hg/hgrc files
      save per-repo defaults for pull
    new delta extension
      faster, smaller, and simpler than GNU diff or xdiff
      faster commit, push/pull, and annotate
    improved interoperability
      convert-repo framework for importing from other SCMs
      can work with gitk and git-viz
    portability improvements
      tested on big and little-endian 32 and 64-bit UNIX platforms
      Windows support is nearly complete
    and much more
      numerous performance tweaks and bugfixes
      automated test suite
      updated docs and FAQ

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Sat, 25 Jun 2005 00:15:13 +0200

mercurial (0.5b+20050618-1) unstable; urgency=low

  * New upstream sources (tip 396:8f8bb77d560e70bcc95577e4dfa877df18d876ab)
    this fix a alignment bug reported on alpha
  * many others fix and improvments from upstream
  * Change short description 
    Closes: #314577: Please spell out the abbreviation in the synopsis

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Sat, 18 Jun 2005 10:02:39 +0200

mercurial (0.5b+20050612-2) unstable; urgency=low

  * Fix spelling mistake (thanks Emanuele Aina)
    Closes: #314161: Small spelling error in documentation
  * New package that should solve the FTBFS due to the use of the boggus
    package debhelper 4.9.0 by autobuilders
    Closes: #313491: mercurial_0.5b+20050612-1: FTBFS: syntax error at
    /usr/bin/dh_strip line 191, near 'if'
  * Closes: #314577: Please spell out the abbreviation in the synopsis

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Fri, 17 Jun 2005 11:14:06 +0200

mercurial (0.5b+20050612-1) unstable; urgency=low

  * New upstream sources

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Sun, 12 Jun 2005 11:40:02 +0200

mercurial (0.5b-5) unstable; urgency=low

  * manually fix wrong build-dependencies that have been previously generated
    by cdbs (ie remove 'build-essential' and duplicates)

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Sat,  4 Jun 2005 09:16:40 +0200

mercurial (0.5b-4) unstable; urgency=low

  * remove automatic generation of control from control.in (with cdbs
    dependencies) as requested by ftpmaster to accept this NEW package
    (see still opened bugs #311724 for more information)

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Fri,  3 Jun 2005 08:57:06 +0200

mercurial (0.5b-3) unstable; urgency=low

  * First official Debian release. (Closes: #308873: ITP: mercurial -- scalable
    distributed SCM)

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Thu,  2 Jun 2005 08:55:53 +0200

mercurial (0.5b-2) unstable; urgency=low

  * package description improved from the mercurial ML
  * Add Homepage: to long description (thanks Anibal Monsalve Salazar)
  * Change Architecture from all to any as mercurial sources now have C files
    to compile (thanks Anibal Monsalve Salazar)
  * Update copyright (thanks Anibal Monsalve Salazar)
  * Add rcs and tkdiff to Recommands as hgmerge use it (only recommands and
    not depends because if the user set HGMERGE to kdiff3, he does not need
    them)
  * use hgmerge if HGMERGE is not set (patch submitted upstream)

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Wed,  1 Jun 2005 11:35:20 +0200

mercurial (0.5b-1) unstable; urgency=low

  * New upstream release

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Tue, 31 May 2005 00:00:29 +0200

mercurial (0.5-1) unstable; urgency=low

  * New upstream release

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Sun, 29 May 2005 21:36:55 +0200

mercurial (0.4f-1) unstable; urgency=low

  * New upstream release
  * english improved in description (thanks Jay Berkenbilt <qjb@debian.org>)

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Sat, 14 May 2005 00:55:40 +0200

mercurial (0.4e-3) unstable; urgency=low

  * package description improved (thanks Bas Zoetekouw <bas@debian.org>)

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Fri, 13 May 2005 13:46:44 +0200

mercurial (0.4e-2) unstable; urgency=low

  * update description

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Thu, 12 May 2005 23:32:43 +0200

mercurial (0.4e-1) unstable; urgency=low

  * New upstream release

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Thu, 12 May 2005 23:13:54 +0200

mercurial (0.4b-2) unstable; urgency=low

  * add debian watch file
  * add depend on tkdiff
  * correct some lintian warnings

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Fri, 29 Apr 2005 12:59:33 +0200

mercurial (0.4b-1) unstable; urgency=low

  * Initial Release.

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Fri, 29 Apr 2005 08:54:25 +0200

